Name:           conduit
Version:        0.3.17
Release:        12%{?dist}
Summary:        A synchronization solution for GNOME

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.conduit-project.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/conduit/0.3/%{name}-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python2-devel, pkgconfig, dbus-python >= 0.80, desktop-file-utils
BuildRequires:  gtk2-devel >= 2.10, pygtk2-devel >= 2.10
BuildRequires:  python-vobject, pygoocanvas-devel >= 0.9
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext, gnome-doc-utils, scrollkeeper
BuildRequires:  intltool >= 0.35.0

Requires:       pygoocanvas >= 0.9, python-vobject
Requires:       pywebkitgtk >= 1.0
Requires:       dbus >= 0.93, dbus-python >= 0.80, pygtk2
Requires:       python-feedparser
Requires:       python-gpod >= 0.6
Requires:       python-gdata
Requires:       gnome-python2-desktop
Requires:       gnome-python2-gconf
# Tomboy is not a hard requirement, but if it is present, it must be 0.5.10
# or greater
Conflicts:      tomboy < 0.5.10
# For Flickr support
Requires:       python-flickrapi

Requires(post): scrollkeeper
Requires(postun):scrollkeeper

%description
Conduit is a synchronization solution for GNOME which allows the user to take
their emails, files, bookmarks, and any other type of personal information and
synchronize that data with another computer, an online service, or even another
electronic device.

Conduit manages the synchronization and conversion of data into other formats.
For example, conduit allows you to;

 * Synchronize your tomboy notes to a file on a remote computer
 * Synchronize your emails to your mobile phone
 * Synchronize your bookmarks to delicious, gmail, or even your own webserver
 * and many more... 

Any combination you can imagine, Conduit will take care of the conversion and
synchronization. 

%prep
%setup -q -n conduit-%{version}

# fix eol encoding in a couple of files
sed -i 's/\r//' NEWS

# get rid of any shebangs
for file in `find conduit/{dataproviders,hildonui,modules} -type f -print`; do
  sed -i '/#!/d' $file
done

# dataprovider files install to the wrong directory - fix that
find conduit/{dataproviders,modules} -type f -name Makefile.in | \
  xargs sed -i 's/\$(libdir)/$(pythondir)/'
sed -i 's/@PKGLIBDIR@/@PYTHONDIR@\/%{name}/' conduit/defs.py.in
sed -i 's/@MODULEDIR@/@PYTHONDIR@\/%{name}\/modules/' conduit/defs.py.in


%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
%make_install

# conduit wrapper is unneeded because we're using WebKit and not mozembed
(cd $RPM_BUILD_ROOT%{_bindir} && mv conduit.real conduit)

# Remove broken modules
#(cd $RPM_BUILD_ROOT/%%{python_sitelib}/%%{name}/modules && \
# rm -rf iPodModule N800Module)

desktop-file-install \
  --remove-category Application                            \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications           \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# we don't need the pkgconfig file, or scrollkeeper database
rm -f $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/%{name}.pc
rm -rf $RPM_BUILD_ROOT/%{_localstatedir}/lib/scrollkeeper

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{python_sitelib}/%{name}
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.conduit.service
%{_datadir}/gnome/help/conduit
%{_datadir}/icons/hicolor/16x16/*/conduit*
%{_datadir}/icons/hicolor/22x22/*/conduit*
%{_datadir}/icons/hicolor/24x24/*/conduit*
%{_datadir}/icons/hicolor/26x26/*/conduit*
%{_datadir}/icons/hicolor/32x32/*/conduit*
%{_datadir}/icons/hicolor/48x48/*/conduit*
%{_datadir}/icons/hicolor/scalable/*/conduit*
%{_datadir}/omf/conduit/conduit-*.omf

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.17-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.17-8
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3.17-5
- Remove the python-sqlite2 dep as conduit will work with the sqlite3 module
  from the stdlib

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jan 31 2010 Bernard JOhnson <bjohnson@symetrix.com> - 0.3.17-1
- v 0.3.17
- remove ZotoModule-abort patch as it's now upstream
- add dependency on python-flickrapi for Flickr support

* Sun Jan 10 2010 Bernard Johnson <bjohnson@symetrix.com> - 0.3.16-6
- add dependency on gnome-python2-gconf (bz #554079)

* Sat Nov 07 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.3.16-5
- bump to get all sources devel/F12/F11 the same

* Sat Nov 07 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.3.16-4
- patch to fix abort cause by ZotoModule

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.3.16-3
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.3.16-1
- v 0.3.16 (bz #512406)
- don't include TODO file (bz #510899)
- remove defaults patch
- remove cpu usage patch

* Sun Jun 21 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.3.15-6
- patch to bring down cpu usage for python 2.6

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.15-4
- Change buildreqs from pygoocanvas to pygoocanvas-devel

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.15-3
- Rebuild for Python 2.6

* Wed Nov 12 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.15-2
- add intltool build dependency

* Wed Nov 12 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.15-1
- v 0.3.15

* Sun Sep 21 2008 Michel Salim <salimma@fedoraproject.org> - 0.3.14-1
- Update to 0.3.14

* Tue Aug 26 2008 Michel Salim <salimma@fedoraproject.org> - 0.3.13-2
- Remove obsoleted dependency on PyXML (bz#454995)

* Fri Aug 22 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.13-1
- Update to 0.3.13 (fixes #455688, #457717) 

* Fri Jun  6 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.11.1-1
- Update to 0.3.11.1
- Detect Firefox install path properly on 64-bit systems
- Temporarily remove iPod and N800 modules due to gnome-vfs2 breakage

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-4
- for real

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-3
- fix typo of typo

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-2
- fix typo in requirements

* Sun May 18 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-1
- 0.3.10
- Fails to startup with message of missing libraries (bz #443571)
- Conduit Crash because that could not find FIREFOX LIBRARIES (bz #445488)

* Fri Apr 11 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.9-1
- 0.3.9
- fix BR from dbus to python-dbus

* Sun Feb 24 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.8-1
- 0.3.8
- additional requires for libgpod, python-sqlite2, python-gdata (bz #432293)

* Tue Oct 30 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.4-2
- add missing Req: dbus-python, pygtk2

* Sun Oct 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.4-1
- v 0.3.4
- another fix for bz #255221 and also #315991, conflict with tomboy < xxx
- gmail icon issue automatically resolved in 0.3.4; bz #248503
- added missing Req: PyXML (bz #332311)
- remove pygoocanvas-api-0.9.patch; no longer needed

* Sun Aug 26 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-5
- do not require tomboy for ppc64 (see bz #255221)

* Wed Aug 22 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-4
- buildrequire and require pygoocanvas >= 0.8

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-3
- find_lang locale files
- add conduit-autostart.desktop to file list

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-2
- buildrequire gettext

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-1
- conduit requires Tomboy >= 0.5.10 for the dbus interface
- 0.3.3
- patch for pygoocanvas API = 0.9
- update license tag to GPLv2+

* Mon Jun 11 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-2
- remove Application from desktop file category

* Fri Jun 08 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-1
- v 0.3.1
- use disttag macros to require python-elementtree when required
- tidy summary to be easier to read
- remove icon substitution, no longer needed
- remove fixup of Categories in .desktop file

* Thu May 24 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-3
- change source0 url to use %%name and %%version macros

* Sun May 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-2
- change gmail icon from internet-mail (tango icon) to email (bluecurve icon)
  so it will display

* Sun May 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-1
- initial release
